HaarClassifierNode128 Struct Reference

`#include </build/pcl-rK6aXX/pcl-1.12.1+dfsg/gpu/people/src/cuda/nvidia/NCVHaarObjectDetection.hpp>`

## Public Member Functions

__host__ NCVStatus | setFeatureDesc (HaarFeatureDescriptor32 f)
__host__ NCVStatus | setThreshold (Ncv32f t)
__host__ NCVStatus | setLeftNodeDesc (HaarClassifierNodeDescriptor32 nl)
__host__ NCVStatus | setRightNodeDesc (HaarClassifierNodeDescriptor32 nr)
__host__ __device__ HaarFeatureDescriptor32 | getFeatureDesc ()
__host__ __device__ Ncv32f | getThreshold ()
__host__ __device__ HaarClassifierNodeDescriptor32 | getLeftNodeDesc ()
__host__ __device__ HaarClassifierNodeDescriptor32 | getRightNodeDesc ()

## Public Attributes

uint4 | _ui4

## Detailed Description

Definition at line 206 of file NCVHaarObjectDetection.hpp.

## Member Function Documentation

## getFeatureDesc()

__host__ __device__ HaarFeatureDescriptor32 HaarClassifierNode128::getFeatureDesc | ( |  | ) |

inline

Definition at line 234 of file NCVHaarObjectDetection.hpp.

## getLeftNodeDesc()

__host__ __device__ HaarClassifierNodeDescriptor32 HaarClassifierNode128::getLeftNodeDesc | ( |  | ) |

inline

Definition at line 244 of file NCVHaarObjectDetection.hpp.

## getRightNodeDesc()

__host__ __device__ HaarClassifierNodeDescriptor32 HaarClassifierNode128::getRightNodeDesc | ( |  | ) |

inline

Definition at line 249 of file NCVHaarObjectDetection.hpp.

## getThreshold()

__host__ __device__ Ncv32f HaarClassifierNode128::getThreshold | ( |  | ) |

inline

Definition at line 239 of file NCVHaarObjectDetection.hpp.

## setFeatureDesc()

__host__ NCVStatus HaarClassifierNode128::setFeatureDesc | ( | HaarFeatureDescriptor32 | f | ) |

inline

Definition at line 210 of file NCVHaarObjectDetection.hpp.

## setLeftNodeDesc()

__host__ NCVStatus HaarClassifierNode128::setLeftNodeDesc | ( | HaarClassifierNodeDescriptor32 | nl | ) |

inline

Definition at line 222 of file NCVHaarObjectDetection.hpp.

## setRightNodeDesc()

__host__ NCVStatus HaarClassifierNode128::setRightNodeDesc | ( | HaarClassifierNodeDescriptor32 | nr | ) |

inline

Definition at line 228 of file NCVHaarObjectDetection.hpp.

## setThreshold()

__host__ NCVStatus HaarClassifierNode128::setThreshold | ( | Ncv32f | t | ) |

inline

Definition at line 216 of file NCVHaarObjectDetection.hpp.

## Member Data Documentation

## _ui4

uint4 HaarClassifierNode128::_ui4

Definition at line 208 of file NCVHaarObjectDetection.hpp.

The documentation for this struct was generated from the following file:

- /build/pcl-rK6aXX/pcl-1.12.1+dfsg/gpu/people/src/cuda/nvidia/NCVHaarObjectDetection.hpp